Retrieve specific client
GET
/api/clientes/{clienteId}/
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.koibox.cloud/api/clientes/1/"), Headers = { { "X-Koibox-Key", "<X-Koibox-Key>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://api.koibox.cloud/api/clientes/1/")) .header("X-Koibox-Key", "<X-Koibox-Key>") .method("GET", HttpRequest.BodyPublishers.noBody()) .build();HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());System.out.println(response.body());OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder() .url("https://api.koibox.cloud/api/clientes/1/") .get() .addHeader("X-Koibox-Key", "<X-Koibox-Key>") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'GET', url: 'https://api.koibox.cloud/api/clientes/1/', headers: {'X-Koibox-Key': '<X-Koibox-Key>'}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.koibox.cloud/api/clientes/1/';const options = {method: 'GET', headers: {'X-Koibox-Key': '<X-Koibox-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.koibox.cloud/api/clientes/1/ \ --header 'X-Koibox-Key: <X-Koibox-Key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”clienteId
required
integer
Responses
Section titled “Responses”The requested client
Media typeapplication/json
object
id
Read-only
integer
created
Read-only
string format: date-time
updated
Read-only
string format: date-time
nombre
required
string
apellido1
string
is_suscrito_newsletter
boolean
is_suscrito_encuestas
boolean
is_active
boolean
is_sms_cliente_perdido_enviado
Read-only
boolean
is_email_cliente_perdido_enviado
Read-only
boolean
is_agree_notificaciones_sms
boolean
is_agree_notificaciones_email
boolean
origen
Read-only
string
descuento_ventas
number
is_citas_online
boolean
code
Por defecto es un campo autoincremental, pero se puede sobreescribir siempre que no haya conflicto
integer
is_agree_rgpd
Read-only
boolean
b64_firma_rgpd
Read-only
string format: base64
fecha_firma_rgpd
Read-only
string format: date
file_contrato_rgpd
Read-only
string format: uri
is_anonymous
Read-only
boolean
is_envios_sms
This field is required if you want to send SMS to the client
boolean
is_envios_email
This field is required if you want to send emails to the client
boolean
fecha_ultima_venta
Read-only
string format: date
numero_ventas
Read-only
integer
importe_ventas
Read-only
number
importe_deudas
Read-only
number
fecha_ultima_cita_realizada
Read-only
string format: date
total_citas_realizadas
Read-only
integer
fecha_alta
Read-only
string format: date-time
provincia
created_by
categoria
puntos_disponibles
Read-only
integer
The access key has not been provided in the X-Koibox-Key header
Headers
Section titled “Headers”WWW-Authenticate
string
Indicates the required header for authentication
No valid access key has been provided
The resource was not found
